<?php
namespace App\Classes\Modules\Accounts\Services;


use App\Models\UserInvitation;

class DeletesUserInvitation
{
    /** @var  UserInvitation */
    private $repository;

    /**
     * DeletesUserInvitation constructor.
     * @param UserInvitation $repository
     */
    public function __construct(UserInvitation $repository)
    {
        $this->repository = $repository;
    }


    public function execute(int $id ){

        $userInvitation = $this->repository->findOrFail($id);

        $userInvitation -> delete();


    }

}